{
  "x-generator": "On Key REST API Docs Generator",
  "openapi": "3.0.0",
  "info": {
    "title": "On Key AMPC AssetTypes API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "{scheme}://{server}:{port}/api/tenants/{client}/{connection}",
      "description": "On Key API Server",
      "variables": {
        "scheme": {
          "default": "https",
          "description": "HTTP scheme"
        },
        "server": {
          "default": "<variable>",
          "description": "Server host"
        },
        "port": {
          "default": "443",
          "description": "Port"
        },
        "client": {
          "default": "<variable>",
          "description": "Client"
        },
        "connection": {
          "default": "<variable>",
          "description": "Connection/Environment (i.e. prod, qa)"
        }
      }
    }
  ],
  "paths": {
    "/Modules/AMPC/AssetTypeFmecas/{id}": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Get a Asset Type FMECA resource.",
        "description": "",
        "operationId": "GetAssetTypeFmeca",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Asset Type FMECA",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetTypeFmecaResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Update an existing Asset Type FMECA resource.",
        "description": "",
        "operationId": "UpdateAssetTypeFmeca",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "inheritToDescendants",
            "in": "query",
            "description": "Inherit the changes to all descendants (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateAssetTypeFmecaResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Asset Type FMECA was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Get a collection of Asset Type FMECA resources.",
        "description": "",
        "operationId": "GetAssetTypeFmecaCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetTypeFmecaCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Create a new Asset Type FMECA resource.",
        "description": "",
        "operationId": "CreateAssetTypeFmeca",
        "parameters": [
          {
            "name": "inheritToDescendants",
            "in": "query",
            "description": "Inherit the changes to all descendants (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAssetTypeFmecaResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/InPlaceAssetTypes/{id}/Fmecas": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Get a collection of AssetType FMECA resources for the InPlace Asset Type.",
        "description": "",
        "operationId": "GetAssetTypeFmecaForInPlaceAssetTypeCollection",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetTypeFmecaForInPlaceAssetTypeCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/PlaceholderAssetTypes/{id}/Fmecas": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Get a collection of Asset Type FMECA resources for the Placeholder Asset Type.",
        "description": "",
        "operationId": "GetAssetTypeFmecaForPlaceholderAssetTypeCollection",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetTypeFmecaForPlaceholderAssetTypeCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/PlaceholderAssetTypeComponents/{id}/Fmecas": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Get a collection of Asset Type FMECA resources for the Placeholder Asset Type Component.",
        "description": "",
        "operationId": "GetAssetTypeFmecaForPlaceholderAssetTypeComponentCollection",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type Component Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetTypeFmecaForPlaceholderAssetTypeComponentCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/RegularAssetTypes/{id}/Fmecas": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Get a collection of AssetType FMECA resources for the Regular Asset Type.",
        "description": "",
        "operationId": "GetAssetTypeFmecaForRegularAssetTypeCollection",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetTypeFmecaForRegularAssetTypeCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/RegularAssetTypeComponents/{id}/Fmecas": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Get a collection of Asset Type FMECA resources for the Regular Asset Type Component.",
        "description": "",
        "operationId": "GetAssetTypeFmecaForRegularAssetTypeComponentCollection",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type Component Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetTypeFmecaForRegularAssetTypeComponentCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaAssetTypeFunctionFromAssetTypeComponent": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Asset Type Function for the Asset Type FMECA, filtered by Asset Type Component.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaAssetTypeFunctionFromAssetTypeComponent",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type Function collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaAssetTypeFunctionFromAssetTypeComponentLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaAssetTypeFunctionFromAssetType": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Asset Type Function for the Asset Type FMECA, filtered by Asset Type.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaAssetTypeFunctionFromAssetType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type Function collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaAssetTypeFunctionFromAssetTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaAssetType": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Asset Type for the Asset Type FMECA.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaAssetType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaRegularAssetTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaChangePermissionTree": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the permission set for changing the Asset Type FMECA.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaComponent": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Asset Type Component for the Asset Type FMECA.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaComponent",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type Component collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaComponentLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaFailureCauseFromFailureCauseType": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Failure Cause for the Asset Type FMECA, filtered by Failure Cause Type.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaFailureCauseFromFailureCauseType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Cause collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaFailureCauseFromFailureCauseTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaFailureCause": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Failure Cause for the Asset Type FMECA.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaFailureCause",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Cause collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaFailureCauseLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaFailureCauseType": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Failure Cause Type for the Asset Type FMECA.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaFailureCauseType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Cause Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaFailureCauseTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaFailureMechanismFromFailureMechanismType": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Failure Mechanism for the Asset Type FMECA, filtered by Failure Mechanism Type.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaFailureMechanismFromFailureMechanismType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mechanism collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaFailureMechanismFromAssetTypeFmecaFailureMechanismTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaFailureMechanism": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Failure Mechanism for the Asset Type FMECA.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaFailureMechanism",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mechanism collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaFailureMechanismLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaFailureMechanismType": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Failure Mechanism Type for the Asset Type FMECA.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaFailureMechanismType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mechanism Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaFailureMechanismTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaFailureModeFromFailureModeType": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Failure Mode for the Asset Type FMECA, filtered by Failure Mode Type.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaFailureModeFromFailureModeType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mode collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaFailureModeFromFailureModeTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaFailureMode": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Failure Mode for the Asset Type FMECA.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaFailureMode",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mode collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaFailureModeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaFailureModeType": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Failure Mode Type for the Asset Type FMECA.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaFailureModeType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mode Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaFailureModeTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaInsertPermissionTree": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the permission set for creating the Asset Type FMECA.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Lookups/LookupAssetTypeFmecaRepairType": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Lookup the Repair Type for the Asset Type FMECA.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaRepairType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Repair Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaRepairTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Batch/{ids}": {
      "get": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Get a collection of Asset Type FMECA resources for the set of id's.",
        "description": "",
        "operationId": "BatchGetAssetTypeFmeca",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset Type FMECA id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Asset Type FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetAssetTypeFmecaResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Batch": {
      "post": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Create a new collection of Asset Type FMECA resources.",
        "description": "",
        "operationId": "BatchCreateAssetTypeFmeca",
        "parameters": [
          {
            "name": "inheritToDescendants",
            "in": "query",
            "description": "Inherit the changes to all descendants (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateAssetTypeFmecaResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Asset Type FMECA batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Update a collection of existing Asset Type FMECA resources.",
        "description": "",
        "operationId": "BatchUpdateAssetTypeFmeca",
        "parameters": [
          {
            "name": "inheritToDescendants",
            "in": "query",
            "description": "Inherit the changes to all descendants (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateAssetTypeFmecaResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Asset Type FMECA batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/{id}/DevelopmentStatus/Accept": {
      "post": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Accept the Development Status for an existing Asset Type FMECA resource.",
        "description": "",
        "operationId": "AcceptAssetTypeFmecaDevelopmentStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/{ids}/Batch/DevelopmentStatus/Accept": {
      "post": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Accept the Development Status for the collection of existing Asset Type FMECA resource id's.",
        "description": "",
        "operationId": "BatchAcceptAssetTypeFmecaDevelopmentStatus",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset Type FMECA id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/{ids}/Batch/DevelopmentStatus/Set/{developmentStatusAction}": {
      "post": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Change the Development Status for the collection of existing Asset Type FMECA resource id's.",
        "description": "",
        "operationId": "BatchChangeAssetTypeFmecaDevelopmentStatus",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset Type FMECA id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "name": "developmentStatusAction",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "enum",
              "x-formatSpecifier": "AssetTypeDevelopmentStatusChangeAction"
            },
            "x-position": 2
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/{ids}/Batch/DevelopmentStatus/Reject": {
      "post": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Reject the Development Status for the collection of existing Asset Type FMECA resource id's.",
        "description": "",
        "operationId": "BatchRejectAssetTypeFmecaDevelopmentStatus",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset Type FMECA id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/{id}/DevelopmentStatus/Set/{developmentStatusAction}": {
      "post": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Change the Development Status for an existing Asset Type FMECA resource.",
        "description": "",
        "operationId": "ChangeAssetTypeFmecaDevelopmentStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "developmentStatusAction",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "enum",
              "x-formatSpecifier": "AssetTypeDevelopmentStatusChangeAction"
            },
            "x-position": 2
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/{id}/Active": {
      "patch": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Change the IsActive status for an existing Asset Type FMECA resource.",
        "description": "",
        "operationId": "ChangeAssetTypeFmecaIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the is active operation (default=False)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "includeDetails",
            "in": "query",
            "description": "Include details when executing the is active operation (default=False)",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAssetTypeFmecaIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Change the PermissionTree for an existing Asset Type FMECA resource.",
        "description": "",
        "operationId": "ChangeAssetTypeFmecaPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAssetTypeFmecaPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/{id}/DevelopmentStatus/Reject": {
      "post": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Reject the Development Status for an existing Asset Type FMECA resource.",
        "description": "",
        "operationId": "RejectAssetTypeFmecaDevelopmentStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Batch/Active": {
      "patch": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Change the IsActive status for a collection of existing Asset Type FMECA resources.",
        "description": "",
        "operationId": "BatchChangeAssetTypeFmecaIsActive",
        "parameters": [
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the is active operation (default=False)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "includeDetails",
            "in": "query",
            "description": "Include details when executing the is active operation (default=False)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAssetTypeFmecaIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Asset Type FMECA"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Asset Type FMECA resources.",
        "description": "",
        "operationId": "BatchChangeAssetTypeFmecaPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAssetTypeFmecaPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/{id}": {
      "get": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Get a Asset Type FMECA Task resource.",
        "description": "",
        "operationId": "GetAssetTypeFmecaTask",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Asset Type FMECA Task",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetTypeFmecaTaskResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Update an existing Asset Type FMECA Task resource.",
        "description": "",
        "operationId": "UpdateAssetTypeFmecaTask",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "inheritToDescendants",
            "in": "query",
            "description": "Inherit the changes to all descendants (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateAssetTypeFmecaTaskResourceActionResponse"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Asset Type FMECA Task was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks": {
      "get": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Get a collection of Asset Type FMECA Task resources.",
        "description": "",
        "operationId": "GetAssetTypeFmecaTaskCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type FMECA Task collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetTypeFmecaTaskCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Create a new Asset Type FMECA Task resource.",
        "description": "",
        "operationId": "CreateAssetTypeFmecaTask",
        "parameters": [
          {
            "name": "inheritToDescendants",
            "in": "query",
            "description": "Inherit the changes to all descendants (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAssetTypeFmecaTaskResourceActionResponse"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/{assetTypeFmecaId}/Tasks": {
      "get": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Get a collection of Asset Type FMECA Task resources for the Asset Type FMECA.",
        "description": "",
        "operationId": "GetAssetTypeFmecaTaskForAssetTypeFmecaCollection",
        "parameters": [
          {
            "name": "assetTypeFmecaId",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type FMECA Task collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetTypeFmecaTaskForAssetTypeFmecaCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/Lookups/LookupAssetTypeFmecaTaskAssetTypeFmeca": {
      "get": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Lookup the Asset Type FMECA for the Asset Type FMECA Task.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaTaskAssetTypeFmeca",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Type FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaTaskAssetTypeFmecaLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/Lookups/LookupAssetTypeFmecaTaskRegularAssetTypeTaskFromAssetTypeComponent": {
      "get": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Lookup the Regular Asset Type Task for the Asset Type FMECA Task, filtered by Asset Type Component.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaTaskRegularAssetTypeTaskFromAssetTypeComponent",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Regular Asset Type Task collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaTaskAssetTypeTaskFromAssetTypeComponentLookupResourceActionLookupResourceActionActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/Lookups/LookupAssetTypeFmecaTaskRegularAssetTypeTaskFromAssetType": {
      "get": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Lookup the Regular Asset Type Task for the Asset Type FMECA Task, filtered by Asset Type.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaTaskRegularAssetTypeTaskFromAssetType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Regular Asset Type Task collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaTaskAssetTypeTaskFromAssetTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/Lookups/LookupAssetTypeFmecaTaskChangePermissionTree": {
      "get": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Lookup the permission set for changing the Asset Type FMECA Task.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaTaskChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaTaskChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/Lookups/LookupAssetTypeFmecaTaskInsertPermissionTree": {
      "get": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Lookup the permission set for creating the Asset Type FMECA Task.",
        "description": "",
        "operationId": "LookupAssetTypeFmecaTaskInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetTypeFmecaTaskInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/Batch/{ids}": {
      "get": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Get a collection of Asset Type FMECA Task resources for the set of id's.",
        "description": "",
        "operationId": "BatchGetAssetTypeFmecaTask",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset Type FMECA Task id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Asset Type FMECA Task collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetAssetTypeFmecaTaskResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/Batch": {
      "post": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Create a new collection of Asset Type FMECA Task resources.",
        "description": "",
        "operationId": "BatchCreateAssetTypeFmecaTask",
        "parameters": [
          {
            "name": "inheritToDescendants",
            "in": "query",
            "description": "Inherit the changes to all descendants (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateAssetTypeFmecaTaskResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Asset Type FMECA Task batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Update a collection of existing Asset Type FMECA Task resources.",
        "description": "",
        "operationId": "BatchUpdateAssetTypeFmecaTask",
        "parameters": [
          {
            "name": "inheritToDescendants",
            "in": "query",
            "description": "Inherit the changes to all descendants (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateAssetTypeFmecaTaskResourceActionResponse"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Asset Type FMECA Task batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/{id}/DevelopmentStatus/Accept": {
      "post": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Accept the Development Status for an existing Asset Type FMECA Task resource.",
        "description": "",
        "operationId": "AcceptAssetTypeFmecaTaskDevelopmentStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/{ids}/Batch/DevelopmentStatus/Accept": {
      "post": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Accept the Development Status for the collection of existing Asset Type FMECA Task resource id's.",
        "description": "",
        "operationId": "BatchAcceptAssetTypeFmecaTaskDevelopmentStatus",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset Type FMECA Task id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/{ids}/Batch/DevelopmentStatus/Set/{developmentStatusAction}": {
      "post": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Change the Development Status for the collection of existing Asset Type FMECA Task resource id's.",
        "description": "",
        "operationId": "BatchChangeAssetTypeFmecaTaskDevelopmentStatus",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset Type FMECA Task id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "name": "developmentStatusAction",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "enum",
              "x-formatSpecifier": "AssetTypeDevelopmentStatusChangeAction"
            },
            "x-position": 2
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/{ids}/Batch/DevelopmentStatus/Reject": {
      "post": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Reject the Development Status for the collection of existing Asset Type FMECA Task resource id's.",
        "description": "",
        "operationId": "BatchRejectAssetTypeFmecaTaskDevelopmentStatus",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset Type FMECA Task id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/{id}/DevelopmentStatus/Set/{developmentStatusAction}": {
      "post": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Change the Development Status for an existing Asset Type FMECA Task resource.",
        "description": "",
        "operationId": "ChangeAssetTypeFmecaTaskDevelopmentStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "developmentStatusAction",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "enum",
              "x-formatSpecifier": "AssetTypeDevelopmentStatusChangeAction"
            },
            "x-position": 2
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/{id}/Active": {
      "patch": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Change the IsActive status for an existing Asset Type FMECA Task resource.",
        "description": "",
        "operationId": "ChangeAssetTypeFmecaTaskIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the is active operation (default=False)",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAssetTypeFmecaTaskIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Change the PermissionTree for an existing Asset Type FMECA Task resource.",
        "description": "",
        "operationId": "ChangeAssetTypeFmecaTaskPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAssetTypeFmecaTaskPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/{id}/DevelopmentStatus/Reject": {
      "post": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Reject the Development Status for an existing Asset Type FMECA Task resource.",
        "description": "",
        "operationId": "RejectAssetTypeFmecaTaskDevelopmentStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Type FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the development status operation (default=True)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/Batch/Active": {
      "patch": {
        "tags": [
          "Asset Type FMECA Task"
        ],
        "summary": "Change the IsActive status for a collection of existing Asset Type FMECA Task resources.",
        "description": "",
        "operationId": "BatchChangeAssetTypeFmecaTaskIsActive",
        "parameters": [
          {
            "name": "includeDescendants",
            "in": "query",
            "description": "Include descendants when executing the is active operation (default=False)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAssetTypeFmecaTaskIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetTypeFmecas/Tasks/Batch/PermissionTree": {
      "patch": {
        "tags": [
[...]
